Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow building SF2 player with FluidSynth 2.x #4678

Merged
merged 1 commit into from Oct 28, 2018

Conversation

PhysSong
Copy link
Member

Resolves the incompatibility between FluidSynth 1.x and 2.x due to some API changes by shimming some functions.
Fixes #4640.

Resolves the incompatibility between FluidSynth 1.x and 2.x
due to some API changes by shimming some functions.

Note that 1.x and 2.x are not completely ABI compatible.
@PhysSong
Copy link
Member Author

I'll merge this in a day because it's tested by some people including myself.

@PhysSong PhysSong merged commit 1f7cd3e into LMMS:stable-1.2 Oct 28, 2018
@PhysSong PhysSong deleted the fluidsynth2 branch October 28, 2018 01:31
sdasda7777 pushed a commit to sdasda7777/lmms that referenced this pull request Jun 28, 2022
Resolves the incompatibility between FluidSynth 1.x and 2.x
due to some API changes by shimming some functions.

Note that 1.x and 2.x are not binary compatible.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

1 participant